(function ($) {

  Drupal.behaviors.toastr = {
    attach: function (context, settings) {

    $('body', context).once('toastr', function () {
      var options = settings.toastr,
          polling = settings.toastr.polling,
          time = Math.floor(Date.now() / 1000);
      if (polling) {
        poll(time, options);
      }
    });

    function poll(time, options){
      var timer = options.polling_time * 1000;
      setTimeout(toasty, timer, time, options);
    }

    function toasty(time, options) {
      $.ajax({ url: "/toastr/list/" + time, success: function(data){

        $.each( options.options, function (option, value) {
          toastr.options[option] = value;
        });

        var default_type = options.type;
        $.each( data, function (index, value) {
          if (typeof value.type === 'undefined') {
            value.type = default_type;
          }

          toastr[value.type](value.message);
        });

        var time = Math.floor(Date.now() / 1000);
        poll(time, options);
      }, dataType: "json"});
    }
  }
}
})(jQuery);

